Bug 9912 - Username DOMAIN\machinename$ is invalid on this system
Username DOMAIN\machinename$ is invalid on this system
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.1.7
x64 Linux
: P5 minor
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 16:20 UTC by Marc Muehlfeld
Modified: 2015-11-16 09:15 UTC (History)
2 users (show)

See Also:


Attachments
Level 10 debug log and smb.conf (37.70 KB, application/x-bzip2)
2013-05-28 16:20 UTC, Marc Muehlfeld
no flags Details
Patch for master (2.01 KB, text/plain)
2015-11-03 11:25 UTC, Marc Muehlfeld
no flags Details
Patch for samba-v4-2-test (2.25 KB, patch)
2015-11-04 18:56 UTC, Marc Muehlfeld
jra: review-
Details
Patch for samba-v4-3-test (2.25 KB, patch)
2015-11-04 18:58 UTC, Marc Muehlfeld
jra: review+
Details
New Patch for samba-v4-2-test (1.94 KB, patch)
2015-11-04 19:51 UTC, Marc Muehlfeld
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Muehlfeld 2013-05-28 16:20:10 UTC
Created attachment 8930 [details]
Level 10 debug log and smb.conf

On my 3.6.x member servers I often the following error in the logs:

Username SAMDOM\vm-09$ is invalid on this system

I played around and it seems that this message is always logged, when connecting the first time to a share.

I'm not sure, if this is just a message that is printed on a to low log level (I use 'log level=1' usually). I think, it should be nothing serious. At least I haven't seen any complications.
Comment 1 Marc Muehlfeld 2014-05-14 07:43:28 UTC
Problem still exists in 4.1.7.
Setting product / version of this bug report to 4.1.7.
Comment 2 Marc Muehlfeld 2015-11-03 11:25:42 UTC
Created attachment 11570 [details]
Patch for master
Comment 3 Marc Muehlfeld 2015-11-04 18:56:41 UTC
Created attachment 11575 [details]
Patch for samba-v4-2-test

Cherrypicked patch for samba-v4-2-test
Comment 4 Marc Muehlfeld 2015-11-04 18:58:28 UTC
Created attachment 11576 [details]
Patch for samba-v4-3-test

Cherrypicked patch for samba-v4-3-test
Comment 5 Jeremy Allison 2015-11-04 19:38:23 UTC
Comment on attachment 11575 [details]
Patch for samba-v4-2-test

NAK. DBG_NOTICE doesn't exist in 4.2.x and this won't compile, you need to just change the DEBUG(1, to DEBUG(3, here.
Comment 6 Jeremy Allison 2015-11-04 19:39:45 UTC
Comment on attachment 11576 [details]
Patch for samba-v4-3-test

LGTM.
Comment 7 Marc Muehlfeld 2015-11-04 19:51:26 UTC
Created attachment 11577 [details]
New Patch for samba-v4-2-test

(In reply to Jeremy Allison from comment #5)
> Comment on attachment 11575 [details] Patch for samba-v4-2-test
>
> NAK. DBG_NOTICE doesn't exist in 4.2.x and this won't compile, you need to 
> just change the DEBUG(1, to DEBUG(3, here.

Sorry. I missed that. I've attached a new version of the patch. Please review.
Comment 8 Jeremy Allison 2015-11-04 20:21:58 UTC
Comment on attachment 11577 [details]
New Patch for samba-v4-2-test

LGTM.
Comment 9 Jeremy Allison 2015-11-04 20:22:21 UTC
Re-assigning to Karolin for inclusion in 4.3.next, 4.2.next.
Comment 10 Karolin Seeger 2015-11-06 11:32:41 UTC
(In reply to Jeremy Allison from comment #9)
Pushed to autobuild-v4-[3|2]-test.
Comment 11 Karolin Seeger 2015-11-16 09:15:45 UTC
(In reply to Karolin Seeger from comment #10)
Pushed to both branches.
Closing out bug report.

Thanks!